Skip to main content
GET
/
v1
/
task
List Tasks (Legacy)
curl --request GET \
  --url https://api.anchorbrowser.io/v1/task \
  --header 'anchor-api-key: <api-key>'
import requests

url = "https://api.anchorbrowser.io/v1/task"

headers = {"anchor-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'anchor-api-key': '<api-key>'}};

fetch('https://api.anchorbrowser.io/v1/task', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "tasks": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "latestVersion": "<string>",
        "code": "<string>",
        "language": "typescript",
        "deleted": true,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "browserConfiguration": {
          "initial_url": "<string>",
          "tags": [
            "production",
            "scraping",
            "customer-123"
          ],
          "recording": {
            "active": true
          },
          "proxy": {
            "active": true,
            "type": "anchor_proxy",
            "country_code": "us",
            "region": "<string>",
            "city": "<string>"
          },
          "timeout": {
            "max_duration": 123,
            "idle_timeout": 123
          },
          "live_view": {
            "read_only": true,
            "one_time_url": true
          }
        }
      }
    ],
    "total": 1,
    "page": 2,
    "limit": 50
  }
}
{
  "error": {
    "code": 123,
    "message": "<string>"
  }
}

Authorizations

anchor-api-key
string
header
required

API key passed in the header

Query Parameters

page
string
default:1

Page number

Pattern: ^[1-9]\d*$
limit
string
default:10

Number of tasks per page

Pattern: ^[1-9]\d*$

Response

List of tasks retrieved successfully

data
object